## mysql-5.6 5.6.19

=== debian/changelog ===
mysql-5.6 (5.6.19-0ubuntu0.14.04.2) trusty-proposed; urgency=medium

  * Introduce full memory barrier support for arm64 and ppc64el to fix
    corruption/hang issues (LP: #1427406).

 -- dann frazier <dannf@ubuntu.com>  Fri, 12 Jun 2015 12:53:28 -0600

mysql-5.6 (5.6.19-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Update to 5.6.19 to fix security issues (LP: #1330168).
    - www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html
    - CVE-2014-2484
    - CVE-2014-4258
    - CVE-2014-4260
    - CVE-2014-4238
    - CVE-2014-4233
    - CVE-2014-4240
    - CVE-2014-4214

 -- James Page <james.page@ubuntu.com>  Mon, 21 Jul 2014 11:57:23 +0100

mysql-5.6 (5.6.17-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Update to 5.6.17 to fix security issues (LP: #1313566).
    - http://www.oracle.com/technetwork/topics/security/cpuapr2014-1972952.html
    - CVE-2014-0001
    - CVE-2014-2430
    - CVE-2014-2431
    - CVE-2014-2435
    - CVE-2014-2436
    - CVE-2014-2440
  * d/p/CVE-2014-0001.patch: Dropped, included in security update.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Apr 2014 09:38:45 +0100
