## mysql-5.6 5.6.23

=== debian/changelog ===
mysql-5.6 (5.6.23-0ubuntu1) vivid; urgency=medium

  [ Robie Basak ]
  * Ubuntu upload from Debian VCS commit 8135d8f (5.6.23-1~exp1 UNRELEASED).
  * New upstream release.

  [ Norvald H. Ryeng ]
  * Remove unused build options.
  * Add libedit dependency to mysql-client-core-5.6.
  * Remove chmods not needed after fix for upstream bug #68517.
  * Lintian fixes.

  [ Bjoern Boschman ]
  * Removed hardening-wrapper from build-deps.
  * Added python dep for mysql-testsuite-5.6.
  * Added dpkg-dev dep.
  * Cleanup a bit more.

  [ Robie Basak ]
  * Add dep8 smoke test.
  * Re-enable libmysqld-pic, libmysqld-dev, libmysqlclient18 and
    libmysqlclient-dev (renamed accordingly) to replace binary packages
    provided by src:mysql-5.5.
  * Add mysql-server, mysql-client and mysql-testsuite to be switched
    over from src:mysql-5.5.
  * Import mysql-common from src:mysql-5.5 for 5.5 -> 5.6 switchover.
  * Cherry-pick relevant parts of Ubuntu delta from mysql-5.5:
    - d/mysql-server-5.5.postrm: restoring postrm debhelper token to get
      proper behaviors from dh_installinit and dh_apparmor.
    - Add Apport hook.

  [ James Page ]
  * d/tests/upstream: Add main.ctype_uca to skip-test list as it requires
    writable /usr.
  * d/p/fix-mysqlhotcopy-test-failure.patch: Add return code 255 to the
    list of allowed return codes.
  * d/tests/control: Re-enable upstream DEP-8 tests.

  [ Otto Kekäläinen ]
  * Added parallel build support via DEB_BUILD_OPTIONS

  [ Otto Kekäläinen ]
  * Remove makeflags from cmake command and output MAKEFLAGS for debugging
    purposes just before make is run

  [ Akhil Mohan ]
  * Provisioned dep8 test case upstream separated to run as non-root

  [ Norvald H. Ryeng ]
  * Simplify and stabilize tests
  * Remove USE_STATIC_MYSQLD
  * Add test plan to README.Maintainer
  * Add --force rationale to test plan

  [ Akhil Mohan ]
  * Make builds parallel Use MAKEFLAGS for parallel builds

  [ Otto Kekäläinen ]
  * Move mysql_plugin to server package as it controls the server plugins
  * Wrap-and-sort
  * Remove legacy 5.0->5.1 transition code that refers a internal-use-only
    -directory that does not even exist anymore.
  * Removed all unnecessary .dirs as most of the directories are generated
    automatically
  * Don't emit extra output at init invocation Many users have complained that
    they're database is corrupt because they tried to start the database and it
    refuses to do so, and at the same time emitting a message with the word
    "corrupt". this is just plain wrong and confusing, so I'm removing it.

  [ Akhil Mohan ]
  * added systemd service profile and script

  [ Norvald H. Ryeng ]
  * Remove special build options for taocrypt

  [ Robie Basak ]
  * Drop unused variable definition
  * Create /etc/mysql manually in debian/rules
  * Replace conf.d/.keepme with an empty directory

  [ Akhil Mohan ]
  * Standards version moved up to 3.9.6 in d/control
  * Added Systemd service profile and script

  [ Robie Basak ]
  * wrap-and-sort for systemd change
  * Drop unnecessary binary target
  * Fix race between builds and source tar generation
  * Move innochecksum to server package
  * Replace unversioned Breaks with Conflicts
  * Switch to new /etc/mysql/my.cnf management scheme

  [ Akhil Mohan ]
  * Refactor supplied my.cnf

  [ Robie Basak ]
  * Request my.cnf symlink from server package
  * Drop mysql-common-5.6
  * Conflict and Replace 5.5 server packages

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 11 Feb 2015 15:19:08 +0000

mysql-5.6 (5.6.19-1~exp1) experimental; urgency=low

  [ Bjoern Boschman ]
  * SECURITY UPDATE: New upstream release (LP: #1330168).
    - www.oracle.com/technetwork/topics/security/cpujul2014-1972956.html
    - CVE-2014-2484
    - CVE-2014-4258
    - CVE-2014-4260
    - CVE-2014-4238
    - CVE-2014-4233
    - CVE-2014-4240
    - CVE-2014-4214

 -- James Page <james.page@ubuntu.com>  Mon, 21 Jul 2014 14:01:12 +0100

mysql-5.6 (5.6.17-1~exp1) experimental; urgency=medium

  * SECURITY UPDATE: New upstream release (Closes: #744970).
    - http://www.oracle.com/technetwork/topics/security/cpuapr2014-1972952.html
    - CVE-2014-0001
    - CVE-2014-2430
    - CVE-2014-2431
    - CVE-2014-2435
    - CVE-2014-2436
    - CVE-2014-2440
  * d/p/CVE-2014-0001.patch: Dropped, included in security update.

 -- James Page <jamespage@debian.org>  Fri, 25 Apr 2014 08:06:10 +0100
