## mysql-5.6 5.6.24

=== debian/changelog ===
mysql-5.6 (5.6.24-0ubuntu2) vivid; urgency=medium

  * Rename and move apport hook to d/additions/source_mysql-5.6.py: now
    renaming is not needed so we can use dh_install.
  * d/{rules,mysql-server-5.6.install}: install apport hook correctly.
  * d/additions/source_mysql-5.6.py: attach new configuration files and
  * directories.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 20 Apr 2015 15:37:09 +0000

mysql-5.6 (5.6.24-0ubuntu1) vivid; urgency=medium

  * SECURITY UPDATE: Update to 5.5.41 to fix security issues (LP: #1444616)
    - http://www.oracle.com/technetwork/topics/security/cpuapr2015-2365600.html
    - CVE-2015-0498
    - CVE-2015-0499
    - CVE-2015-0500
    - CVE-2015-0501
    - CVE-2015-0503
    - CVE-2015-0505
    - CVE-2015-0506
    - CVE-2015-0507
    - CVE-2015-0508
    - CVE-2015-0511
    - CVE-2015-2567
    - CVE-2015-2571
  * debian/rules: fix ftbfs by building the sql directory first so the
    required files are generated.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 16 Apr 2015 20:07:10 -0400

mysql-5.6 (5.6.23-1~exp1~ubuntu5) vivid; urgency=medium

  * Ubuntu upload from Debian VCS commit 804459b.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 23 Mar 2015 17:03:40 +0000

mysql-5.6 (5.6.23-1~exp1) UNRELEASED; urgency=medium

  [ Robie Basak ]
  * New upstream release.

  [ Norvald H. Ryeng ]
  * Remove unused build options.
  * Add libedit dependency to mysql-client-core-5.6.
  * Remove chmods not needed after fix for upstream bug #68517.
  * Lintian fixes.

  [ Bjoern Boschman ]
  * Removed hardening-wrapper from build-deps.
  * Added python dep for mysql-testsuite-5.6.
  * Added dpkg-dev dep.
  * Cleanup a bit more.

  [ Robie Basak ]
  * Add dep8 smoke test.
  * Re-enable libmysqld-pic, libmysqld-dev, libmysqlclient18 and
    libmysqlclient-dev (renamed accordingly) to replace binary packages
    provided by src:mysql-5.5.
  * Add mysql-server, mysql-client and mysql-testsuite to be switched
    over from src:mysql-5.5.
  * Import mysql-common from src:mysql-5.5 for 5.5 -> 5.6 switchover.
  * Cherry-pick relevant parts of Ubuntu delta from mysql-5.5:
    - d/mysql-server-5.5.postrm: restoring postrm debhelper token to get
      proper behaviors from dh_installinit and dh_apparmor.
    - Add Apport hook.

  [ James Page ]
  * d/tests/upstream: Add main.ctype_uca to skip-test list as it requires
    writable /usr.
  * d/p/fix-mysqlhotcopy-test-failure.patch: Add return code 255 to the
    list of allowed return codes.
  * d/tests/control: Re-enable upstream DEP-8 tests.

  [ Otto Kekäläinen ]
  * Added parallel build support via DEB_BUILD_OPTIONS

  [ Otto Kekäläinen ]
  * Remove makeflags from cmake command and output MAKEFLAGS for debugging
    purposes just before make is run

  [ Akhil Mohan ]
  * Provisioned dep8 test case upstream separated to run as non-root

  [ Norvald H. Ryeng ]
  * Simplify and stabilize tests
  * Remove USE_STATIC_MYSQLD
  * Add test plan to README.Maintainer
  * Add --force rationale to test plan

  [ Akhil Mohan ]
  * Make builds parallel Use MAKEFLAGS for parallel builds

  [ Otto Kekäläinen ]
  * Move mysql_plugin to server package as it controls the server plugins
  * Wrap-and-sort
  * Remove legacy 5.0->5.1 transition code that refers a internal-use-only
    -directory that does not even exist anymore.
  * Removed all unnecessary .dirs as most of the directories are generated
    automatically
  * Don't emit extra output at init invocation Many users have complained that
    they're database is corrupt because they tried to start the database and it
    refuses to do so, and at the same time emitting a message with the word
    "corrupt". this is just plain wrong and confusing, so I'm removing it.

  [ Akhil Mohan ]
  * added systemd service profile and script

  [ Norvald H. Ryeng ]
  * Remove special build options for taocrypt

  [ Robie Basak ]
  * Drop unused variable definition
  * Create /etc/mysql manually in debian/rules
  * Replace conf.d/.keepme with an empty directory

  [ Akhil Mohan ]
  * Standards version moved up to 3.9.6 in d/control
  * Added Systemd service profile and script

  [ Robie Basak ]
  * wrap-and-sort for systemd change
  * Drop unnecessary binary target
  * Fix race between builds and source tar generation
  * Move innochecksum to server package
  * Replace unversioned Breaks with Conflicts
  * Switch to new /etc/mysql/my.cnf management scheme

  [ Akhil Mohan ]
  * Refactor supplied my.cnf

  [ Robie Basak ]
  * Request my.cnf symlink from server package
  * Drop mysql-common-5.6
  * Conflict and Replace 5.5 server packages

  [ Clint Byrum ]
  * Changing key_buffer to key_buffer_size (Thanks Akhil Mohan)
    (Closes: #777668)

  [ Robie Basak ]
  * Fix dep8 smoke test dependency
  * Amend AppArmor profile to permit reads of everything in /etc/mysql/, now
    that we have a number of included directories in there
  * Ship my-default.cnf with mysql-server-core-5.6 (LP: #1422391).
  * Add mysql-server-core-5.6 Breaks/Replaces older mariadb-client-10.0
    since innochecksum has moved into the server package across all
    variants (LP: #1421520).

  [ Martin Pitt ]
  * Call dh "--with systemd" to enable systemd unit.

  [ Robie Basak ]
  * AppArmor-related fixes (LP: #1421303):
    - d/rules: call dh_apparmor from override_dh_install so that it is run
      before dh_installinit. This causes the AppArmor profile to be loaded
      correctly before mysqld is started.
    - d/mysql-server-5.6.postinst: manually load the AppArmor profile earlier
      in the postinst as a workaround, since the postinst needs to start mysqld
      for bootstrapping purposes before the dh_apparmor snippet has run
      (workaround for bug tracked in LP #1435368).

  [ Oleg Strikov ]
  * d/mysql-server-5.6.{mysql.service, postinst, postrm}:
    Fix to create /var/run/mysql using facilities provided by systemd.
    Initialization scripts get executed as user (not root) and don't

