=== debian/rules ===
--- 
+++ 
@@ -113,6 +113,7 @@
 
 build-pic-stamp: $(EXPORTED_SOURCE_TARBALL)
 	@echo "RULES.$@"
+	cd $(builddir) && $(MAKE) -C sql
 	cd $(builddir) && $(MAKE) -C scripts
 	cd $(builddir) && $(MAKE) -C libmysqld
 	touch $@
@@ -171,8 +172,6 @@
 	# install AppArmor profile
 	install -D -m 644 debian/apparmor-profile $(TMP)/etc/apparmor.d/usr.sbin.mysqld
 	chmod 0755 $(TMP)/usr/share/mysql-test/std_data/checkDBI_DBD-mysql.pl
-	# install Apport hook
-	install -D -m 644 debian/mysql-server-5.6.py $(TMP)/usr/share/apport/package-hooks/source_mysql-5.6.py
 	# chmod 0644 $(TMP)/usr/share/mysql/*.ini
 	chmod 0644 $(TMP)/usr/bin/mysqlaccess.conf
 	touch $@
@@ -191,3 +190,6 @@
 #        usr/share/mysql/mysql.server
 #        usr/share/mysql/binary-configure
 # NOTE(james-page) usr/include -> end can be dropped when 5.6 becomes default
+# NOTE(james-page) skip --fail-missing until package is complete 5.5 replacement
+#override_dh_install:
+#	dh_install --fail-missing                       \
